Subject: Re: bug#18559: 24.3.90; can't start emacs - Odd length text property list

From: Eli Zaretskii <[email-masked]>
Date: Thu, 25 Sep 2014 20:06:42 +0300

> Date: Thu, 25 Sep 2014 18:39:48 +0200
> From: Jarek Czekalski <[email-masked]>
> 
> 
> I just built trunk r117948 on mingw. I can't start emacs, it reports:
> Odd length text property list
> I can't make a report from this version as it is not starting, even with
> -Q. I managed to run r117941.

Is this a 32-bit build or a 64-bit MinGW build?

Can you start the latest trunk if you build it without optimizations?

Can you start it if you define USE_STACK_LISP_OBJECTS to false in
lisp.h?

What is your GCC version?